Bug 313126 - presence wrongly restored
Summary: presence wrongly restored
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: kded-module (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-12 11:04 UTC by Alin M Elena
Modified: 2013-10-08 10:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2013-01-12 11:04:16 UTC
we have an option to restore last used presence... all great up to now for normal used defined presences... 
However if one uses the listen to plugin... what is restored is not the used of that type of presence but the last message generated by it as a custom presence... 

Alin

Reproducible: Always
Comment 1 Weng Xuetian 2013-10-08 10:37:09 UTC
Git commit e0e61ace680533b613d19e442aaa9d2e90ecf08e by Weng Xuetian.
Committed on 08/10/2013 at 10:29.
Pushed by xuetianweng into branch 'kde-telepathy-0.7'.

Refactor now playing plugin

Enable option now behaves as "enable on login", and changes at contact
list will be temporary for this login. And use requested presence to
evaluate the new presence by this plugin.
Related: bug 307582
REVIEW: 113066
FIXED-IN: 0.7

M  +1    -4    config/telepathy-kded-config.cpp
M  +118  -83   telepathy-mpris.cpp
M  +8    -4    telepathy-mpris.h

http://commits.kde.org/telepathy-kded-module/e0e61ace680533b613d19e442aaa9d2e90ecf08e